<?php

/**
 *
 * coWiki - htdocs/version.php
 *
 * $Id: version.php,v 1.73 2003/10/23 15:11:08 dtg Exp $
 *
 * This file is part of coWiki. coWiki is free software under the terms of
 * the GNU General Public License (GPL). Read the LICENSE file. If you did
 * not receive a copy of the license and are not able to obtain it through
 * the internet, please send a note to <cowiki-license@develnet.org> so we
 * can mail you a copy immediately.
 *
 * @package    htdocs
 * @access     public
 *
 * @author     Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @copyright  (C) Daniel T. Gorski, {@link http://www.develnet.org}
 * @license    http://www.gnu.org/licenses/gpl.html
 * @version    $Revision: 1.73 $
 *
 */

/**
 * This file is subject to change for each release
 *
 * @package  htdocs
 * @access   public
 *
 * @author   Daniel T. Gorski, <daniel.gorski@develnet.org>
 * @since    coWiki 0.3.0
 */

    error_reporting(E_ALL);

    /**
     * Plugin interface version
     */
    define('COWIKI_PLUGIN_INTERFACE_VERSION', 1);

    /**
     * Naming, version & release date
     */
    define('COWIKI_NAME', 'coWiki');

    /**
     * Additional software subname string
     */
    define('COWIKI_SUBNAME', 'web collaboration tool');

    /**
     * Major software version
     */
    define('COWIKI_VERSION_MAJOR', '0');

    /**
     * Minor software version
     */
    define('COWIKI_VERSION_MINOR', '3');

    /**
     * Micro software version
     */
    define('COWIKI_VERSION_MICRO', '3');

    /**
     * Software version patch
     */
    define('COWIKI_VERSION_PATCH', '');

    /**
     * Software release version
     */
    define('COWIKI_RELEASE_NAME', 'Beryllium');

    /**
     * Software build (full) date
     */
    define('COWIKI_VERSION_DATE', 'October 23, 2003');



    // --- Do not change from here ----------------------------------------

    /**
     * Software build (unix timestamp) date
     */
    define('COWIKI_VERSION_STAMP', strtotime(COWIKI_VERSION_DATE));

    /**
     * Complete software version string
     */
    define('COWIKI_VERSION', COWIKI_VERSION_MAJOR . '.'
                             . COWIKI_VERSION_MINOR . '.'
                             . COWIKI_VERSION_MICRO
                             . COWIKI_VERSION_PATCH);

    /**
     * Complete software name string
     */
    define('COWIKI_FULL_NAME', COWIKI_NAME . ' ' .COWIKI_VERSION);

    /**
     * The URL of the home of this software
     */
    define('COWIKI_HOME', 'http://www.develnet.org');

?>
